/*
 * Copyright (c) 2019 MariaDB Corporation Ab
 *
 * Use of this software is governed by the Business Source License included
 * in the LICENSE.TXT file and at www.mariadb.com/bsl11.
 *
 * Change Date: 2023-01-01
 *
 * On the date above, in accordance with the Business Source License, use
 * of this software will be governed by version 2 or later of the General
 * Public License.
 */

#pragma once

#include <chrono>
#include <string>
#include <unordered_set>
#include <vector>

#include <maxscale/service.hh>

#include "rpl.hh"

namespace cdc
{

struct Server
{
    std::string host;       // Address to connect to
    int         port;       // Port where the server is listening
    std::string user;       // Username used for the connection
    std::string password;   // Password for the user
};

struct Config
{
    int         server_id = 1234;   // Server ID used in registration
    std::string gtid;               // Starting GTID
    SERVICE*    service;
    std::string statedir = ".";
};
}
